Packaging - Issue #4281

2.19 Nighlty FIPS post-install issue with Apache
12/19/2018 07:42 PM - bherring

Status: MODIFIED Start date:

Priority: Normal Due date:

Assignee: pcreech Estimated time: 0:00 hour
Category:

Sprint/Milestone:

Severity: 3. High Groomed: No
Version - Packaging: Sprint Candidate: No
Platform Release: 2.20.0 Tags: Pulp 2
Target Release - Sprint:

Packaging:

0Os: RHEL 7 Quarter:

Triaged: Yes

Description

Notes

Nightly Jenkins [0] experienced sanity failures starting last night, 12/19
Only FIPs is affected.

Local test re-creations on 2.18-stable (fips/non-fips) and 2.19 non-fips experienced no issues with pulp-admin status smoke test or
test harness execution

Still investigating, but could use some help to understand why “pulp-admin status’ is returning errors and where to dig into the pulp
code or additional logs to find the source of error.

Re-creation

1. Install the latest Pulp2-nightly.

2. Verify pulp is functioning with “pulp-admin status™ or run some tests, if you are so inclined.

3. Enable FIPs

4. Post-install, run “pulp-admin status’.

5. Verify the errors seen below and a failure return.

6. Bonus: Return back to non-FIPs and note Pulp2 functions. Back to FIPs, and the error is reproducible locally.
1. Verifying FIPs state with: “cat /proc/sys/crypto/fips_enabled’

Test Harness

® SW: Pulp2-nightly (2.19a1)
* FIPs Enabled: Yes

django version

[root@rhel76-fips-219 ~1# rpm -ga | grep -i django
python2-django-1.11.13-4.el7.noarch
python-django-bash-completion-1.11.13-4.el7.noarch
[root@rhel76-fips-219 ~1#

journalctl

Dec 19 11:49:57 rhel76-fips—-219 dracut[7120]: *** Creating initramfs image file '/boot/initramfs-3
.10.0-957.1.3.el17.x86_64kdump.img' done ***

Dec 19 11:49:58 rhel76-fips—-219 kdumpctl[4859]: kexec: loaded kdump kernel

Dec 19 11:49:58 rhel76-fips—-219 kdumpctl[4859]: Starting kdump: [OK]
Dec 19 11:49:58 rhel76-fips-219
19 11:49:58 rhel76-fips-219
199s (userspace) = 48.248s.
19 11:51:41 rhel76-fips-219
19 11:56:54 rhel76-fips-219
19 12:01:01 rhel76-fips-219
19 12:01:01 rhel76-fips-219
19 12:01:01 rhel76-fips-219
19 12:01:01 rhel76-fips-219
19 12:04:11 rhel76-fips-219
19 12:04:11 rhel76-fips-219
Dec 19 12:07:15 rhel76-fips-219
mechanism ANONYMOUS

19 12:07:15 rhel76-fips-219
/pulp/api/v2/status/

19 12:07:15 rhel76-fips-219
call last):

19 12:07:15 rhel76-fips-219

systemd[1]:
Dec systemd[1]:

44 .
Dec
Dec
Dec systemd[1]:
Dec
Dec
Dec
Dec systemd[1]:
systemd[1]:

pulp[5043]:

Dec

Dec pulp[5043]:
or:
Dec pulp[5043]:
ent

Dec pulp[5043]:

thon2.7/site-packages/django/core/handlers/base.py",

Dec 19 12:07:15 rhel76-fips-219 pulp[5043]:
leware_method (request, response)
Dec 19 12:07:15 rhel76-fips—-219 pulp[5043]:

thon2.7/site-packages/django/middleware/http.py",

Dec 19 12:07:15 rhel76-fips—-219 pulp[5043]:
ag (response)
Dec 19 12:07:15 rhel76-fips-219 pulp([5043]:

thon2.7/site-packages/django/utils/cache.py",

Dec 19 12:07:15 rhel76-fips-219 pulp[5043]:
] =
Dec 19 12:07:15
60800A3:digital
Dec 19 12:14:27
0x2ec2a980)

Dec 19 12:14:27 rhel76-fips-219
Dec 19 12:14:27 rhel76-fips-219
dress 192.168.122.210

Dec 19 12:14:27 rhel76-fips—-219
en 24 (255.255.255.0)

Dec 19 12:14:27 rhel76-fips-219
teway 192.168.122.1

Dec 19 12:14:27 rhel76-fips-219
ase time 3600

Dec 19 12:14:27 rhel76-fips-219
stname 'rhel76-fips-219'

Dec 19 12:14:27 rhel76-fips—-219
meserver '192.168.122.1"

Dec 19 12:14:27 rhel76-fips-219
e changed bound -> bound

Dec 19 12:14:27 rhel76-fips-219
edesktop.nm_dispatcher'
Dec 19 12:14:27 rhel76-fips-219
Dec 19 12:14:27 rhel76-fips-219
S.

Dec 19 12:14:27 rhel76-fips-219
op.nm_dispatcher'

Dec 19 12:14:27 rhel76-fips-219
scripts)

Dec 19 12:14:27 rhel76-fips-219
rdered scripts...

Dec 19 12:14:27 rhel76-fips-219
Dec 19 12:19:31 rhel76-fips-219
mechanism ANONYMOUS

Dec 19 12:19:31 rhel76-fips-219
_deferred_content
Dec 19 12:19:31 rhel76-fips—-219 pulp[4946]:

rhel76-fips-219 pulp[5043]:

rhel76-fips-219

dbus [4286] :

systemd[1]:

dbus[4286]:

systemd[1]:
pulp[4855]:

pulp[4855] :

chronyd[4292] :
auditd[4260]:

CROND[16396] :

run-parts (/etc/cron.hourly) [16399]:
run-parts (/etc/cron.hourly) [16405]:

dhclient[4644]:
NetworkManager [4342]:

NetworkManager [4342] :
NetworkManager [4342] :
NetworkManager[4342] :
NetworkManager [4342]:
NetworkManager [4342] :

NetworkManager [4342] :

dhclient [4644]:

nm-dispatcher[16418]:

nm-dispatcher[16418]:

Started Crash recovery kernel arming.

Startup finished in 490ms (kernel) + 3.557s (initrd) +
Source 216.229.0.49 replaced with 72.14.181.128

Audit daemon rotating log files

Started Session 2 of user root.

(root) CMD (run-parts /etc/cron.hourly)

starting Oanacron

finished Oanacron

Starting Cleanup of Temporary Directories...

Started Cleanup of Temporary Directories.

kombu.transport.qpid:INFO: Connected to gpid with SASL

quote_etag(hashlib.md5 (response.content) .hexdigest ())

django.request :ERROR: (5043-60928) Internal Server Err
django.request :ERROR: (5043-60928) Traceback (most rec
django.request :ERROR: (5043-60928) File "/usr/lib/py
line 131, in get_response
django.request :ERROR: (5043-60928) response = midd
django.request :ERROR: (5043-60928) File "/usr/lib/py
line 23, in process_response
django.request :ERROR: (5043-60928) set_response_et
django.request :ERROR: (5043-60928) File "/usr/lib/py
line 109, in set_response_etag
django.request :ERROR: (5043-60928) response [ 'ETag'
django.request :ERROR: (5043-60928) ValueError: error:0

envelope routines:EVP_DigestInit_ex:disabled for fips
dhclient [4644]:

DHCPREQUEST on ens3 to 192.168.122.1 port 67 (xid=

DHCPACK from 192.168.122.1 (xid=0x2ec2a980)
<info> [1545239667.2262] dhcp4 (ens3): ad
<info> [1545239667.2267] dhcp4 (ens3): pl
<info> [1545239667.2268] dhcp4 (ens3): ga
<info> [1545239667.2268] dhcp4 (ens3): le
<info> [1545239667.2268] dhcp4 (ens3): ho
<info> [1545239667.2268] dhcp4 (ens3): na
<info> [1545239667.2268] dhcp4 (ens3): stat

[system] Activating via systemd: service name='org.fre

unit="'dbus-org.freedesktop.nm-dispatcher.service'

Starting Network Manager Script Dispatcher Service...

bound to 192.168.122.210 —-- renewal in 1278 second
[system] Successfully activated service 'org.freedeskt
reqg:1l 'dhcp4-change' [ens3]: new request (5

req:1l 'dhcp4-change' [ens3]: start running o

Started Network Manager Script Dispatcher Service.

kombu.transport.qpid:INFO: Connected to gpid with SASL

celery.beat:INFO: Scheduler: Sending due task download

(pulp.server.controllers.repository.queue_download_deferred)

celery.worker.strategy:INFO: Received task: pulp.serve

r.controllers.repository.queue_download_deferred[299291c5-991d-45dc-ad47f-a66b772£300e]

Dec 19 12:19:31 rhel76-fips-219 pulp([5653]:
d with SASL mechanism ANONYMOUS

Dec 19 12:19:31 rhel76-fips-219 pulp[4946]: celery.worker.strategy:INFO: Received task: pulp.serve
r.controllers.repository.download_deferred[2e90£887-1657-4e18-8dac-203e298£5927]

Dec 19 12:19:31 rhel76-fips-219 pulp([5653]: py.warnings:WARNING: [299291c5] (5653-50688) /usr/lib6
4/python2.7/site-packages/pymongo/topology.py:74: UserWarning: MongoClient opened before fork. Cre
ate MongoClient

Dec 19 12:19:31 rhel76-fips-219 pulp[5653]: py.warnings:WARNING: [299291c5] (5653-50688) "MongoC
lient opened before fork. Create MongoClient "

Dec 19 12:19:31 rhel76-fips—-219 pulp[5653]: py.warnings:WARNING: [299291c5] (5653-50688)

Dec 19 12:19:31 rhel76-fips-219 pulp([5653]: celery.app.trace:INFO: [299291c5] Task pulp.server.con
trollers.repository.queue_download_deferred[299291c5-991d-45dc-ad47£f-a66b772£300e] succeeded in 0.1
04735261s: None

Dec 19 12:19:31 rhel76-fips—-219 pulp([5653]: celery.app.trace:INFO: [2e90£f887] Task pulp.server.con
trollers.repository.download_deferred[2e90£f887-1657-4e18-8dac-203e298£f5927] succeeded in 0.0167369
139999s: None

Dec 19 12:26:04 rhel76-fips-219 chronyd[4292]: Source 204.11.201.12 replaced with 45.33.84.208

Dec 19 12:32:53 rhel76-fips-219 pulp[5042]: django.request:ERROR: (5042-46336) Internal Server Err
or: /pulp/api/v2/plugins/types/

Dec 19 12:32:53 rhel76-fips-219 pulp([5042]: django.request:ERROR: (5042-46336) Traceback (most rec
ent call last):

Dec 19 12:32:53 rhel76-fips-219 pulp([5042]: django.request:ERROR: (5042-46336) File "/usr/lib/py
thon2.7/site-packages/django/core/handlers/base.py", line 131, in get_response

Dec 19 12:32:53 rhel76-fips-219 pulp[5042]: django.request:ERROR: (5042-46336) response = midd
leware_method (request, response)

Dec 19 12:32:53 rhel76-fips—-219 pulp[5042]: django.request:ERROR: (5042-46336) File "/usr/lib/py
thon2.7/site-packages/django/middleware/http.py", line 23, in process_response

Dec 19 12:32:53 rhel76-fips-219 pulp[5042]: django.request:ERROR: (5042-46336) set_response_et
ag (response)

Dec 19 12:32:53 rhel76-fips-219 pulp[5042]: django.request:ERROR: (5042-46336) File "/usr/lib/py
thon2.7/site-packages/django/utils/cache.py", line 109, in set_response_etag

Dec 19 12:32:53 rhel76-fips-219 pulp[5042]: django.request:ERROR: (5042-46336) response [ 'ETag'

] = quote_etag(hashlib.md5 (response.content) .hexdigest ())

Dec 19 12:32:53 rhel76-fips—-219 pulp[5042]: django.request:ERROR: (5042-46336) ValueError: error:0
60800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips

Dec 19 12:35:45 rhel76-fips-219 dhclient[4644]: DHCPREQUEST on ens3 to 192.168.122.1 port 67 (xid=
0x2ec2a980)

Dec 19 12:35:45 rhel76-fips—-219 dhclient[4644]: DHCPACK from 192.168.122.1 (xid=0x2ec2a980)

Dec 19 12:35:45 rhel76-fips—-219 NetworkManager[4342]: <info> [1545240945.6943] dhcp4 (ens3): ad
dress 192.168.122.210

Dec 19 12:35:45 rhel76-fips—-219 NetworkManager[4342]: <info> [1545240945.6944] dhcp4 (ens3): pl
en 24 (255.255.255.0)

Dec 19 12:35:45 rhel76-fips-219 NetworkManager[4342]: <info> [1545240945.6944] dhcp4 (ens3): ga
teway 192.168.122.1

Dec 19 12:35:45 rhel76-fips—-219 NetworkManager[4342]: <info> [1545240945.6944] dhcp4 (ens3): le
ase time 3600

Dec 19 12:35:45 rhel76-fips—-219 NetworkManager[4342]: <info> [1545240945.6944] dhcp4 (ens3): ho
stname 'rhel76-fips-219'

Dec 19 12:35:45 rhel76-fips—-219 NetworkManager[4342]: <info> [1545240945.6944] dhcp4 (ens3): na

meserver '192.168.122.1"

Dec 19 12:35:45 rhel76-fips-219 NetworkManager[4342]: <info> [1545240945.6944] dhcp4 (ens3): stat
e changed bound -> bound

Dec 19 12:35:45 rhel76-fips—-219 dbus[4286]: [system] Activating via systemd: service name='org.fre
edesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'

Dec 19 12:35:45 rhel76-fips—-219 systemd[1l]: Starting Network Manager Script Dispatcher Service...
Dec 19 12:35:45 rhel76-fips-219 dhclient[4644]: bound to 192.168.122.210 —-- renewal in 1584 second
B

Dec 19 12:35:45 rhel76-fips—-219 dbus[4286]: [system] Successfully activated service 'org.freedeskt
op.nm_dispatcher'

Dec 19 12:35:45 rhel76-fips-219 systemd[l]: Started Network Manager Script Dispatcher Service.

Dec 19 12:35:45 rhel76-fips—-219 nm-dispatcher[16473]: req:1 'dhcp4-change' [ens3]: new request (5
scripts)

Dec 19 12:35:45 rhel76-fips—-219 nm-dispatcher[16473]: req:1l 'dhcp4-change' [ens3]: start running o
rdered scripts...

Dec 19 12:38:23 rhel76-fips-219 pulp[5041]: kombu.transport.qgpid:INFO: Connected to gpid with SASL
mechanism ANONYMOUS

Dec 19 12:38:23 rhel76-fips-219 pulp([5041]: django.request:ERROR: (5041-39040) Internal Server Err
or: /pulp/api/v2/status/
Dec 19 12:38:23 rhel76-fips—-219 pulp[5041]: django.request:ERROR: (5041-39040) Traceback (most rec
ent call last):

Dec 19 12:38:23 rhel76-fips-219 pulp[5041]: django.request:ERROR: (5041-39040) File "/usr/lib/py
thon2.7/site-packages/django/core/handlers/base.py", line 131, in get_response

Dec 19 12:38:23 rhel76-fips—-219 pulp([5041]: django.request:ERROR: (5041-39040) response = midd
leware_method (request, response)

Dec 19 12:38:23 rhel76-fips-219 pulp[5041]: django.request:ERROR: (5041-39040) File "/usr/lib/py
thon2.7/site-packages/django/middleware/http.py", line 23, in process_response

Dec 19 12:38:23 rhel76-fips—-219 pulp[5041]: django.request:ERROR: (5041-39040) set_response_et

ag (response)

Dec 19 12:38:23 rhel76-fips-219 pulp[5041]: django.request:ERROR: (5041-39040) File "/usr/lib/py
thon2.7/site-packages/django/utils/cache.py", line 109, in set_response_etag

Dec 19 12:38:23 rhel76-fips—-219 pulp([5041]: django.request:ERROR: (5041-39040) response [ 'ETag'
] = quote_etag(hashlib.md5 (response.content) .hexdigest ())

Dec 19 12:38:23 rhel76-fips-219 pulp[5041]: django.request:ERROR: (5041-39040) ValueError: error:0
60800A3:digital envelope routines:EVP_DigestInit_ex:disabled for fips

Dec 19 12:49:31 rhel76-fips—-219 pulp[4855]: celery.beat:INFO: Scheduler: Sending due task download
_deferred_content (pulp.server.controllers.repository.queue_download_deferred)

Dec 19 12:49:31 rhel76-fips-219 pulp[4946]: celery.worker.strategy:INFO: Received task: pulp.serve
r.controllers.repository.queue_download_deferred[9db6c832-7553-4449-97a9-f444ded4d65b5]

Dec 19 12:49:31 rhel76-fips—-219 pulp[4946]: celery.worker.strategy:INFO: Received task: pulp.serve
r.controllers.repository.download_deferred[f5cfb227-540d-45a6-0193-66552344d32b]

Dec 19 12:49:31 rhel76-fips-219 pulp[5653]: celery.app.trace:INFO: [9db6c832] Task pulp.server.con
trollers.repository.queue_download_deferred[9db6c832-7553-4449-97a9-£444de4d65b5] succeeded in 0.0
134792559998s:

httpd/error_log

[Wed Dec 19 11:44:38.226539 2018] [mpm_prefork:notice] [pid 18091] AH00170: caught SIGWINCH, shutt
ing down gracefully

[Wed Dec 19 11:45:03.164808 2018] [core:notice] [pid 4837] SELinux policy enabled; httpd running a
s context system_u:system_r:httpd_t:s0

[Wed Dec 19 11:45:03.177642 2018] [mime_magic:error] [pid 4837] (2)No such file or directory: AHO1
515: mod_mime_magic: can't read magic file /etc/httpd/NEVER_EVER_USE

[Wed Dec 19 11:45:03.190029 2018] [suexec:notice] [pid 4837] AH01232: suEXEC mechanism enabled (wr
apper: /usr/sbin/suexec)

AH00558: httpd: Could not reliably determine the server's fully qualified domain name, using 192.1
68.122.210. Set the 'ServerName' directive globally to suppress this message

[Wed Dec 19 11:45:03.696125 2018] [mime_magic:error] [pid 4837] (2)No such file or directory: AHO1
515: mod_mime_magic: can't read magic file /etc/httpd/NEVER_EVER_USE

[Wed Dec 19 11:45:03.696136 2018] [auth_digest:notice] [pid 4837] AHO01757: generating secret for d
igest authentication ...

[Wed Dec 19 11:45:03.704563 2018] [lbmethod_heartbeat:notice] [pid 4837] AH02282: No slotmem from

mod_heartmonitor

[Wed Dec 19 11:45:03.862247 2018] [mpm_prefork:notice] [pid 4837] AH00163: Apache/2.4.6 (Red Hat E

nterprise Linux) OpenSSL/1.0.2k-fips mod_wsgi/3.4 Python/2.7.5 configured -- resuming normal opera

tions

[Wed Dec 19 11:45:03.862272 2018] [core:notice] [pid 4837] AH00094: Command line: '/usr/sbin/httpd
-D FOREGROUND'

[Wed Dec 19 11:47:33.138775 2018] [mpm_prefork:notice] [pid 4837] AHO00170: caught SIGWINCH, shutti

ng down gracefully

[Wed Dec 19 11:47:55.430449 2018] [core:notice] [pid 3430] SELinux policy enabled; httpd running a
s context system_u:system_r:httpd_t:s0

[Wed Dec 19 11:47:55.440461 2018] [mime_magic:error] [pid 3430] (2)No such file or directory: AHO1
515: mod_mime_magic: can't read magic file /etc/httpd/NEVER_EVER_USE

[Wed Dec 19 11:47:55.456732 2018] [suexec:notice] [pid 3430] AH01232: suEXEC mechanism enabled (wr
apper: /usr/sbin/suexec)

AH00558: httpd: Could not reliably determine the server's fully qualified domain name, using 192.1
68.122.210. Set the 'ServerName' directive globally to suppress this message

[Wed Dec 19 11:47:55.999249 2018] [mime_magic:error] [pid 3430] (2)No such file or directory: AHOl
515: mod_mime_magic: can't read magic file /etc/httpd/NEVER_EVER_USE

[Wed Dec 19 11:47:55.999265 2018] [auth_digest:notice] [pid 3430] AHO01757: generating secret for d
igest authentication ...

[Wed Dec 19 11:47:56.015928 2018] [lbmethod_heartbeat:notice] [pid 3430] AH02282: No slotmem from

mod_heartmonitor

[Wed Dec 19 11:47:56.151806 2018] [mpm_prefork:notice] [pid 3430] AH00163: Apache/2.4.6 (Red Hat E

nterprise Linux) OpenSSL/1.0.2k-fips mod_wsgi/3.4 Python/2.7.5 configured -- resuming normal opera
tions

[Wed Dec 19 11:47:56.151827 2018] [core:notice] [pid 3430] AH00094: Command line: '/usr/sbin/httpd
-D FOREGROUND'

[Wed Dec 19 11:48:56.230693 2018] [mpm_prefork:notice] [pid 3430] AHO00170: caught SIGWINCH, shutti
ng down gracefully

[Wed Dec 19 11:49:20.875143 2018] [core:notice] [pid 4850] SELinux policy enabled; httpd running a
s context system_u:system_r:httpd_t:s0

[Wed Dec 19 11:49:20.890359 2018] [mime_magic:error] [pid 4850] (2)No such file or directory: AHOl
515: mod_mime_magic: can't read magic file /etc/httpd/NEVER_EVER_USE

[Wed Dec 19 11:49:20.895820 2018] [suexec:notice] [pid 4850] AH01232: suEXEC mechanism enabled (wr
apper: /usr/sbin/suexec)

AHO00558: httpd: Could not reliably determine the server's fully qualified domain name, using 192.1
68.122.210. Set the 'ServerName' directive globally to suppress this message

[Wed Dec 19 11:49:21.436851 2018] [mime_magic:error] [pid 4850] (2)No such file or directory: AHO1
515: mod_mime_magic: can't read magic file /etc/httpd/NEVER_EVER_USE

[Wed Dec 19 11:49:21.436865 2018] [auth_digest:notice] [pid 4850] AHO01757: generating secret for d
igest authentication ...

[Wed Dec 19 11:49:21.453957 2018] [lbmethod_heartbeat:notice] [pid 4850] AH02282: No slotmem from

mod_heartmonitor

[Wed Dec 19 11:49:21.573101 2018] [mpm_prefork:notice] [pid 4850] AH00163: Apache/2.4.6 (Red Hat E
nterprise Linux) OpenSSL/1.0.2k-fips mod_wsgi/3.4 Python/2.7.5 configured -- resuming normal opera
tions

[Wed Dec 19 11:49:21.573123 2018] [core:notice] [pid 4850] AH00094: Command line: '/usr/sbin/httpd
-D FOREGROUND'

2.19-nightly pulp-admin status failure

[root@rhel76-fips—-219 ~]# pulp-admin status

There was an internal server error while trying to access the Pulp application.
One possible cause is that the database needs to be migrated to the latest
version. If this is the case, run pulp-manage-db and restart the services. More
information may be found in Apache's log.

[root@rhel76-fips—219 ~1#

Bonus: Non-fips 2.19 Nightly Check

[root@rhel76-fips—-219 ~]# pulp-admin status

B +
Status of the server

o +

Api Version: 2

Database Connection:
Connected: True
Known Workers:

_id: scheduler@rhel76-fips-219

_ns: workers

Last Heartbeat: 2018-12-19T18:31:08%Z

_id: resource_manager@rhel76-fips-219

_ns: workers

Last Heartbeat: 2018-12-19T18:31:12%

_id: reserved_resource_worker-0@rhel76-fips-219
ns: workers

Last Heartbeat: 2018-12-19T18:31:127%
Messaging Connection:

Connected: True
Versions:

Platform Version: 2.19al

[root@rhel76-fips-219 ~1# cat /proc/sys/crypto/fips_enabled
0
References:

[0] https://pulp-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/Pulp%202%20-%20Master/job/pulp-2-master-dev-rhel7-fips/178/

Associated revisions

Revision €36eb826 - 12/20/2018 04:51 PM - pcreech

Update to latest Django 1.11 release

closes #4281 https://pulp.plan.io/issues/4281

Revision e36eb826 - 12/20/2018 04:51 PM - pcreech

Update to latest Django 1.11 release

closes #4281 https://pulp.plan.io/issues/4281

History

#1 - 12/19/2018 08:11 PM - bherring

- Description updated

#2 - 12/19/2018 08:16 PM - daviddavis

This should have been fixed--see https://github.com/pulp/pulp-packaging/blob/master/packages/python-django/fips.patch.

#3 - 12/19/2018 09:43 PM - pcreech
- Project changed from Pulp to Packaging

- Assignee set to pcreech

EPEL updated their python-django to 1.11.13, and bumped the release number higher than what we provide in pulp's repo. thereby superseding
pulp's patched version.

Current fix will be to update to latest django 1.11.z and apply the fips patch.
#4 - 12/19/2018 09:50 PM - bherring
QE Notes

Note that what instigated this change, anisble installer pull to update this package, is no longer serving a purpose (we believe) in the pulp-ci/ansible
playbook.

@Kersom has a PR [0] to remove this step that is out for review.
References

[0] - https://github.com/pulp/pulp-ci/pull/629

#5 - 12/20/2018 08:13 PM - CodeHeeler
- Status changed from NEW to POST

- Triaged changed from No to Yes

#6 - 12/20/2018 08:15 PM - pcreech

The below package updates our version of django to latest 1.11.z

https://qgithub.com/pulp/pulp-packaging/pull/74

#7 - 04/15/2019 10:04 PM - bmbouter
- Tags Pulp 2 added

#8 - 05/12/2020 10:27 PM - pcreech
- Status changed from POST to MODIFIED

Applied in changeset pulp:pulp|e36eb8261d5c6eecad859ebf971829416633e49b.
https://pulp-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/Pulp%202%20-%20Master/job/pulp-2-master-dev-rhel7-fips/178/
https://pulp.plan.io/issues/4281
https://pulp.plan.io/issues/4281
https://github.com/pulp/pulp-packaging/blob/master/packages/python-django/fips.patch
https://github.com/pulp/pulp-ci/pull/629
https://github.com/pulp/pulp-packaging/pull/74
https://pulp.plan.io/projects/pulp/repository/pulp/revisions/e36eb8261d5c6eecad859ebf971829416633e49b

#9 - 10/08/2020 04:49 PM - ggainey

- Platform Release changed from master to 2.21.4

#10 - 10/08/2020 07:43 PM - ggainey
- Platform Release changed from 2.21.4 to 2.20.0
